## ros-noetic-rosbag 1.16.0

=== debian/changelog ===
ros-noetic-rosbag (1.16.0-1focal) focal; urgency=high

  * add missing repeat_latched initialization (#2314 <https://github.com/ros/ros_comm/issues/2314>)
  * Contributors: Robin Vanhove

 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Feb 2023 06:00:00 -0000

ros-noetic-rosbag (1.15.15-1focal) focal; urgency=high

  * Move @jacobperron from maintainer to author (#2302 <https://github.com/ros/ros_comm/issues/2302>)
  * Fix rosbag reindex not seeking to truncated position after broken chunk (#2286 <https://github.com/ros/ros_comm/issues/2286>)
  * Contributors: Emerson Knapp, Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Nov 2022 06:00:00 -0000

ros-noetic-rosbag (1.15.14-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 06 Jan 2022 06:00:00 -0000

ros-noetic-rosbag (1.15.13-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 22 Sep 2021 05:00:00 -0000

ros-noetic-rosbag (1.15.12-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 05:00:00 -0000

ros-noetic-rosbag (1.15.11-1focal) focal; urgency=high

  * Handle SIGINT in rosbag play (#2150 <https://github.com/ros/ros_comm/issues/2150>)
  * Catch all exceptions in record thread (#2151 <https://github.com/ros/ros_comm/issues/2151>)
  * raw_input does not exist in python 3 (#2143 <https://github.com/ros/ros_comm/issues/2143>)
  * Contributors: Martin Pecka, Sebastian Scherer, pseyfert

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-noetic-rosbag (1.15.10-1focal) focal; urgency=high

  * Add missing Boost (#2108 <https://github.com/ros/ros_comm/issues/2108>)
  * Start player in paused state (#2086 <https://github.com/ros/ros_comm/issues/2086>)
  * Contributors: Francisco Vina, Timo Röhling

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-noetic-rosbag (1.15.9-1focal) focal; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix spelling (#2066 <https://github.com/ros/ros_comm/issues/2066>)
  * Gracefully stop recording upon SIGTERM and SIGINT (#2038 <https://github.com/ros/ros_comm/issues/2038>)
  * Fix compatibility issue with boost 1.73 and above (#2023 <https://github.com/ros/ros_comm/issues/2023>)
  * Use heapq.merge instead of custom merge sort code (#2017 <https://github.com/ros/ros_comm/issues/2017>)
  * Contributors: Devin Bonnie, Florian Friesdorf, Sean Yen, Shane Loretz, tomoya

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 05:00:00 -0000

ros-noetic-rosbag (1.15.8-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Jul 2020 05:00:00 -0000

ros-noetic-rosbag (1.15.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 05:00:00 -0000

ros-noetic-rosbag (1.15.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2020 05:00:00 -0000

ros-noetic-rosbag (1.15.5-1focal) focal; urgency=high

  * add option to repeat latched messages at the start of bag splits (#1850 <https://github.com/ros/ros_comm/issues/1850>)
  * fix bag migration failures caused by typo in connection_header assignment (#1952 <https://github.com/ros/ros_comm/issues/1952>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 15 May 2020 05:00:00 -0000

ros-noetic-rosbag (1.15.4-1focal) focal; urgency=high

  * restrict boost dependencies to components used (#1871 <https://github.com/ros/ros_comm/issues/1871>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 05:00:00 -0000

ros-noetic-rosbag (1.15.3-1focal) focal; urgency=high

  * remove Boost version check since Noetic only targets platforms with 1.67+ (#1903 <https://github.com/ros/ros_comm/issues/1903>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 06:00:00 -0000

ros-noetic-rosbag (1.15.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Feb 2020 06:00:00 -0000

ros-noetic-rosbag (1.15.1-1focal) focal; urgency=high

  * use setuptools instead of distutils (#1870 <https://github.com/ros/ros_comm/issues/1870>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Feb 2020 06:00:00 -0000

ros-noetic-rosbag (1.15.0-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Feb 2020 06:00:00 -0000

ros-noetic-rosbag (1.14.4-1focal) focal; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * add quotes around file name so they can be click selected in terminal (#1813 <https://github.com/ros/ros_comm/issues/1813>)
  * catch exceptions by const ref (#1874 <https://github.com/ros/ros_comm/issues/1874>)
  * read GPG passphrase from an environment variable (#1856 <https://github.com/ros/ros_comm/issues/1856>)
  * fix missing import of roslib (#1818 <https://github.com/ros/ros_comm/issues/1818>)
  * fix regression from pycrypodome switchover (#1814 <https://github.com/ros/ros_comm/issues/1814>)
  * use condition attributes to specify Python 2 and 3 dependencies (#1792 <https://github.com/ros/ros_comm/issues/1792>)
  * add pycryptodome as default (#1609 <https://github.com/ros/ros_comm/issues/1609>)
  * encrypted rosbag fixes for Python 3 (#1777 <https://github.com/ros/ros_comm/issues/1777>)
  * fix bug in bag migration (#1786 <https://github.com/ros/ros_comm/issues/1786>)
  * keep latched topics latched (#1708 <https://github.com/ros/ros_comm/issues/1708>)
  * wrap the rosbag filter eval in a lambda (#1712 <https://github.com/ros/ros_comm/issues/1712>)
  * record: fix signed int overflow (#1741 <https://github.com/ros/ros_comm/issues/1741>)
  * switch to yaml.safe_load(_all) to prevent YAMLLoadWarning (#1688 <https://github.com/ros/ros_comm/issues/1688>)
  * pickleable rosbag exceptions (#1210 <https://github.com/ros/ros_comm/issues/1210> revisited). (#1652 <https://github.com/ros/ros_comm/issues/1652>)

