=== debian/control ===
Source: ros-noetic-rosbag
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-date-time-dev, libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev, libboost-thread-dev, python3-pil, ros-noetic-catkin (>= 0.5.78), ros-noetic-cpp-common, ros-noetic-rosbag-storage, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-roscpp-serialization, ros-noetic-std-srvs, ros-noetic-topic-tools, ros-noetic-xmlrpcpp
Homepage: http://wiki.ros.org/rosbag
Standards-Version: 3.9.2

Package: ros-noetic-rosbag
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-date-time-dev, libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev, libboost-thread-dev, python3-gnupg, python3-pycryptodome, python3-rospkg, ros-noetic-genmsg, ros-noetic-genpy, ros-noetic-rosbag-storage, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-roslib, ros-noetic-rospy, ros-noetic-std-srvs, ros-noetic-topic-tools, ros-noetic-xmlrpcpp
Description: This is a set of tools for recording from and playing back to ROS topics.
 It is intended to be high performance and avoids deserialization and reserialization of the messages.
